- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ibm_sa_pool – Handles pools on IBM Spectrum Accelerate Family storage systems

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module creates or deletes pools to be used on IBM Spectrum Accelerate Family storage systems

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- pyxcli

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
domain - |  | Adds the pool to the specified domain.
endpoints string / required |  | The hostname or management IP of Spectrum Accelerate storage system.
password string / required |  | Password for username on the spectrum accelerate storage system.
perf_class - |  | Assigns a perf_class to the pool.
pool - / required |  | Pool name.
size - |  | Pool size in GB
snapshot_size - |  | Pool snapshot size in GB
state - / required | Choices: present ← absent | Pool state.
username string / required |  | Management user on the spectrum accelerate storage system.

## Notes

Note

- This module requires pyxcli python library. Use ‘pip install pyxcli’ in order to get pyxcli.

## Examples

    - name: Create new pool.
      ibm_sa_pool:
        name: pool_name
        size: 300
        state: present
        username: admin
        password: secret
        endpoints: hostdev-system

    - name: Delete pool.
      ibm_sa_pool:
        name: pool_name
        state: absent
        username: admin
        password: secret
        endpoints: hostdev-system

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Tzur Eliyahu (@tzure)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.